Method: projects.locations.intelligenceFindings.list

Lists the IntelligenceFinding resources in the specified project.

REST format

GET /v2/{parent=projects/*/locations/*}/intelligenceFindings

HTTP body

The HTTP request has no request body.

Query parameters

Parameters
parent

string

Required. The parent of the IntelligenceFinding resource.
Format: projects/project/locations/location

filter

string

Optional. The filter expression to apply. Supports filtering by type and associated_resources.

pageSize

integer

Optional. The maximum number of IntelligenceFinding resources to return. The maximum value is 100; values greater than 100 become 100. The default value is 100.

pageToken

string

Optional. A page token that a previous ListIntelligenceFindings request returned. Provide this to retrieve the subsequent page. When paginating, all other parameters you provide to ListIntelligenceFindings must match the request that provided the page token.

Response

The response body contains data with the following structure:

JSON representation
{
  "intelligenceFindings": [
    {
      object (IntelligenceFinding)
    }
  ],
  "nextPageToken": string
}
Fields
intelligenceFindings[]

object (IntelligenceFinding)

The IntelligenceFinding resources from the specified project.

nextPageToken

string

A token to retrieve the next page of results. Pass this value in the pageToken field in the subsequent call.

Authorization

Requires the following Google IAM permission on the specified resource:

  • storage.buckets.viewIntelligenceDetails